import request from '@/utils/request'

// 查询安全设备设施检查附件列表
export function listFiles(query) {
  return request({
    url: '/safety/files/list',
    method: 'get',
    params: query
  })
}

// 查询安全设备设施检查附件详细
export function getFiles(id) {
  return request({
    url: '/safety/files/' + id,
    method: 'get'
  })
}

// 新增安全设备设施检查附件
export function addFiles(data) {
  return request({
    url: '/safety/files',
    method: 'post',
    data: data
  })
}

// 修改安全设备设施检查附件
export function updateFiles(data) {
  return request({
    url: '/safety/files',
    method: 'put',
    data: data
  })
}

// 删除安全设备设施检查附件
export function delFiles(id) {
  return request({
    url: '/safety/files/' + id,
    method: 'delete'
  })
}

// 导出灭火器
export function exportExtinguisher(query) {
  return request({
    url: 'safety/extinguisher/export',
    method: 'get',
    params: query
  })
}
